%define prefix  /usr/local
%define localedir %prefix/share/locale
%define docdir %prefix/doc

Summary:	A graphical floppy disk formatting tool
Name:		pyfloppy
Version:	1.6
Release:	1
License:	GPL
URL:            http://www.8ung.at/klappnase/index.html
Requires:	python, tkinter, /sbin/mke2fs, /sbin/mkdosfs, /usr/bin/fdformat
Group:		System/Kernel and hardware
Source:		pyfloppy-1.6.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%description
Pyfloppy provides a gui for the mke2fs, mkdosfs and fdformat tools.
Install pyfloppy if you want a graphical tool for formatting floppy
disks.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%install
mkdir -p $RPM_BUILD_ROOT%prefix/bin
mkdir -p $RPM_BUILD_ROOT%docdir/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%localedir/de/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT%localedir/es/LC_MESSAGES

install --mode=755 pyfloppy.py $RPM_BUILD_ROOT%prefix/bin/%{name}
install --mode=644 doc/* $RPM_BUILD_ROOT%docdir/%{name}-%{version}
install --mode=644 locale/de.gmo $RPM_BUILD_ROOT%localedir/de/LC_MESSAGES/%{name}.mo
install --mode=644 locale/es.gmo $RPM_BUILD_ROOT%localedir/es/LC_MESSAGES/%{name}.mo

%files
%defattr(-,root,root)
%prefix/bin/*
%docdir/%{name}-%{version}/*
%localedir/*/LC_MESSAGES/%{name}.mo

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%version

%changelog
* Mon Aug 28 2006 Michael Lange <klappnase@8ung.at>
- added spanish translation contributed by Martintxo; fixed a typo in install.sh: docs
  are now installed into the correct per-version directory (v 1.6).

* Wed Aug 23 2006 Michael Lange <klappnase@8ung.at>
- fixed another bug in the OutputWindow, when inserting a string that starts with a
  newline the already inserted text is now no longer deleted (v 1.5).

* Sun Aug 13 2006 Michael Lange <klappnase@8ung.at>
- fixed OutputWindow class to properly handle BS and CR characters at less resource usage;
  slight gui changes (v. 1.4).

* Wed Apr 12 2006 Michael Lange <klappnase@8ung.at>
- new ProcessHandler class replaces tk.createfilehandler() to avoid problems on some
  systems running threaded tcl; new improved ConfigHandler class; new icons; improved
  OutputWindow class (v. 1.3).

* Mon Jun 27 2005 Michael Lange <klappnase@8ung.at>
- added full_path() method to replace the hardcoded executable paths (v. 1.2).

* Wed Jun 22 2005 Michael Lange <klappnase@8ung.at>
- replaced tkinter.createfilehandler() and tkinter.deletefilehandler() with
  self.tk.createfilehandler() and self.tk.deletefilehandler() to fix crash when
  pyfloppy is run with threaded tcl; removed optionDB; new install scheme (v. 1.1)

* Mon Jun 20 2005 Michael Lange <klappnase@8ung.at>
- added "Cancel" button; added gettext i18n support; improved OutputWindow widget;
  new window layout (v. 1.0)

* Wed Feb 17 2004 Michael Lange <klappnase@8ung.at>
- fixed two bugs that would have caused problems with Python-2.3/Tk-8.4;
  removed special characters from messages_de.py;
  replaced the image files with base64 encoded gifs;
  slight gui changes and code cleanup (v.0.3)
  
* Thu Dec 25 2003 Michael Lange <klappnase@8ung.at>
- OptConf class added - now pyfloppy will remember the settings
  of all options; design bug of the text output which accidentally
  replaced back space characters with white space fixed - now we use
  empty strings instead which looks much nicer; gui slightly changed (v.0.2)

* Tue Dec 23 2003 Michael Lange <klappnase@8ung.at>
- initial release (v.0.1)
